import type Metadata from "../../../v1/metadata/Metadata";
import type Query from "../../../v1/queries/Query";
export default abstract class Variable {
    _args: any[];
    _metadata: Metadata | null | undefined;
    _query: Query | null | undefined;
    constructor(args: any[], metadata?: Metadata, query?: Query);
    abstract displayName(): string | null | undefined;
}
